Get Offers for a Merchant
Get Offers for a Merchant by Merchant Id
Use date_last_modified:min.
1The total number of desired results. Any value over 100 will default to 100.
20trueComma-separated list of extra data to be included.
Return only the published offers that have been modified after the given date time, using the standard Violet datetime format, ISO 8601. Example: 2017-06-15T01:01:01+0000
2017-06-15T01:01:01+0000Return only the published offers that have been modified before the given date time, using the standard Violet datetime format, ISO 8601. Example: 2017-06-25T01:01:01+0000
2017-06-25T01:01:01+0000successful operation
Boolean indicating if this is the last page
The total count of pages available
The total count of objects available
Boolean indicating if this is the first page of the response
The total number of objects in this specific response
The page size selected at request time
The page number selected at request time
Boolean indicating if the response content is empty
Contains the cursor for the next page. This property will only be used for situations where the API does not support the page number/page size paradigm and it will mutually exclusive with the size/number fields in the response. If this property is returned it must be passed when requesting the next page from the API. Does not apply to endpoints that do not have a next_page_cursor query param documented.
insufficient permissions
GET /v1/catalog/offers/merchants/{merchant_id} HTTP/1.1
Host: sandbox-api.violet.io
X-Violet-Token: text
X-Violet-App-Secret: text
X-Violet-App-Id: 1
Accept: */*
{
"content": [
{
"id": 248519,
"external_id": "8429610926344",
"external_url": "https://foot-locker.myshopify.com/products/air-flex-runner",
"name": "Air Flex Runner",
"description": "Lightweight everyday running shoe with a cushioned midsole and breathable knit upper.",
"source": "SHOPIFY",
"seller": "Foot Locker",
"vendor": "Nike",
"merchant_id": 4821,
"available": true,
"visible": true,
"min_price": 8999,
"max_price": 8999,
"currency": "USD",
"source_category_name": "Footwear > Running",
"variants": [
{
"id": 71204,
"external_id": "9015874281472",
"name": "Size",
"visual": false,
"values": [
{
"id": 530118,
"external_id": "Medium",
"name": "Medium",
"sku_ids": [
411203
],
"display_order": 1
},
{
"id": 530119,
"external_id": "Large",
"name": "Large",
"sku_ids": [
411204
],
"display_order": 2
}
],
"display_order": 1
}
],
"skus": [
{
"id": 411203,
"offer_id": 248519,
"merchant_id": 4821,
"external_id": "44218309214",
"name": "Air Flex Runner - Medium",
"in_stock": true,
"qty_available": 42,
"inventory_tracked": true,
"sale_price": 8999,
"retail_price": 9999,
"currency": "USD",
"taxable": true,
"tax_type": "APPAREL",
"albums": [],
"variant_values": [
{
"id": 530118,
"external_id": "Medium",
"name": "Medium",
"display_order": 1
}
],
"type": "PHYSICAL",
"status": "AVAILABLE",
"date_created": "2024-01-15T10:30:00+0000",
"date_last_modified": "2024-06-22T14:37:46+0000"
},
{
"id": 411204,
"offer_id": 248519,
"merchant_id": 4821,
"external_id": "44218309215",
"name": "Air Flex Runner - Large",
"in_stock": true,
"qty_available": 18,
"inventory_tracked": true,
"sale_price": 8999,
"retail_price": 9999,
"currency": "USD",
"taxable": true,
"tax_type": "APPAREL",
"albums": [],
"variant_values": [
{
"id": 530119,
"external_id": "Large",
"name": "Large",
"display_order": 2
}
],
"type": "PHYSICAL",
"status": "AVAILABLE",
"date_created": "2024-01-15T10:30:00+0000",
"date_last_modified": "2024-06-22T14:37:46+0000"
}
],
"albums": [
{
"id": 312044,
"parent_id": 248519,
"type": "OFFER",
"name": "Primary Album",
"media": [
{
"id": 891022,
"album_id": 312044,
"external_id": "30250544889992",
"url": "https://cdn.shopify.com/s/files/1/0582/6022/6184/products/air-flex-runner.jpg",
"source_url": "https://cdn.shopify.com/s/files/1/0582/6022/6184/products/air-flex-runner.jpg",
"type": "IMAGE",
"display_order": 1,
"primary": true,
"alt_text": "Air Flex Runner side view"
}
],
"primary_media": {
"id": 891022,
"album_id": 312044,
"external_id": "30250544889992",
"url": "https://cdn.shopify.com/s/files/1/0582/6022/6184/products/air-flex-runner.jpg",
"source_url": "https://cdn.shopify.com/s/files/1/0582/6022/6184/products/air-flex-runner.jpg",
"type": "IMAGE",
"display_order": 1,
"primary": true,
"alt_text": "Air Flex Runner side view"
}
}
],
"type": "PHYSICAL",
"status": "AVAILABLE",
"publishing_status": "PUBLISHED",
"subscription_status": "NOT_SUBSCRIBED",
"date_created": "2024-01-15T10:30:00+0000",
"date_last_modified": "2024-06-22T14:37:46+0000",
"date_last_consolidated": "2024-06-22T14:37:46+0000",
"three_d_enabled": false
}
],
"last": false,
"total_pages": 287,
"total_elements": 287,
"first": true,
"number_of_elements": 1,
"size": 1,
"number": 1,
"empty": false,
"pageable": {
"page_number": 1,
"page_size": 1,
"sort": {
"unsorted": false,
"sorted": true,
"empty": false
},
"offset": 0,
"paged": true,
"unpaged": false
},
"sort": {
"unsorted": false,
"sorted": true,
"empty": false
}
}Last updated
Was this helpful?